import ComponentBase from "../components/ComponentBase";
import Loading from "../loading/Loading";

export default class Scene extends ComponentBase {
    constructor(data?){
        super(data);
    }

    protected onSkinComplete() {
        super.onSkinComplete();
        Loading.instace.hide();
        this.showAct();
    }

    //播放显示动画
    showAct():void{
        this.alpha = 0;
        egret.Tween.get(this).to({alpha:1}, 800);
    }
}